Bug 4379 - dracut with support for ROSA Freeze
: dracut with support for ROSA Freeze
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-09-09 12:42 MSD by Denis Silakov
Modified: 2014-10-01 23:13 MSD (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Denis Silakov 2014-09-09 12:42:52 MSD
To completely support ROSA Freeze (http://wiki.rosalab.ru/ru/index.php/ROSA_Freeze), more improvements in dracut are required
Comment 1 Denis Silakov 2014-09-09 12:43:03 MSD
Advisory:

Updated aufs module for dracut for complete support of ROSA Freeze (http://wiki.rosalab.ru/ru/index.php/ROSA_Freeze).

Build lists:
https://abf.io/build_lists/2186464
https://abf.io/build_lists/2186465
Comment 2 Vladimir Potapov 2014-09-16 15:33:58 MSD
Что-то у меня заморозка росы не работает.
поставил дракут, поставил фриз.
Поменял обои, перегрузился - обои сохранились изменененные.
ладно, подумал, может хомяк не морозится. Поставил inkscape. Запустил-работает.
Перегрузился. Запустил - работает.
ЧЯНД?
Comment 3 Vladimir Potapov 2014-09-16 15:34:22 MSD
Да, 
[root@FRESH-X64 keleg]# rfreeze status
Freeze mode is enabled
[root@FRESH-X64 keleg]#
Comment 4 Vladimir Potapov 2014-09-16 15:35:51 MSD
При выключении вижу ошибки

# rfreeze disable
Генерируется grub.cfg …
Найдена тема: /boot/grub2/themes/rosa/theme.txt
Найден фон: /boot/grub2/themes/rosa/terminal_background.png
Найден образ linux: /boot/vmlinuz-3.10.51-nrj-desktop-1rosa
Найден образ initrd: /boot/initrd-3.10.51-nrj-desktop-1rosa.img
Найден образ linux: /boot/vmlinuz-3.10.46-nrj-desktop-1rosa
Найден образ initrd: /boot/initrd-3.10.46-nrj-desktop-1rosa.img
Найден образ linux: /boot/vmlinuz-3.10.42-nrj-desktop-1rosa
Найден образ initrd: /boot/initrd-3.10.42-nrj-desktop-1rosa.img
Найден образ linux: /boot/vmlinuz-3.10.34-nrj-desktop-3rosa
Найден образ initrd: /boot/initrd-3.10.34-nrj-desktop-3rosa.img
umount: /var/lib/os-prober/mount: target is busy
        (In some cases useful info about processes that
         use the device is found by lsof(8) or fuser(1).)
rmdir: не удалось удалить «/var/lib/os-prober/mount»: Устройство или ресурс занято
Найден ROSA Desktop.Fresh 2012.1 (2012.1) на /dev/sda6
Найден ROSA Desktop Fresh R4 (2014.1) на /dev/sda8
Найден ROSA Linux 2012.0 (2012.0) на /dev/sdb1
Найден unknown Linux distribution на /dev/sdb12
Найден ROSA Linux 2012.0 (2012.0) на /dev/sdb7
Найден unknown Linux distribution на /dev/sdb9
завершено
Freeze mode has been disabled. Please reboot your system.
Comment 5 Vladimir Potapov 2014-09-16 16:33:55 MSD
а вот еще интересное - на другой системе

rfreeze enable
ROSA Freeze is already enabled.                                                                                                                                                
[root@FRESHx86 keleg]# rfreeze disable
mount: can't find /tmp/sysroot-orig in /etc/fstab
mount: mount point /tmp/sysroot-orig/dev does not exist
mount: mount point /tmp/sysroot-orig/dev/pts does not exist
mount: mount point /tmp/sysroot-orig/proc does not exist
mount: mount point /tmp/sysroot-orig/sys does not exist
mount: mount point /tmp/sysroot-orig/run does not exist
Traceback (most recent call last):
  File "/usr/sbin/rfreeze", line 130, in <module>
    command_line.func()
  File "/usr/sbin/rfreeze", line 92, in disable
    res = disable_freeze()
  File "/usr/lib/python2.7/site-packages/rosa_freeze/rosa_freeze.py", line 118, in disable_freeze
    _disable_freeze_dracut('/tmp/sysroot-orig/')
  File "/usr/lib/python2.7/site-packages/rosa_freeze/rosa_freeze.py", line 188, in _disable_freeze_dracut
    grub_cfg = open(chroot + grub_cfg_name, 'r')
IOError: [Errno 2] No such file or directory: '/tmp/sysroot-orig//etc/default/grub'
Comment 6 Vladimir Potapov 2014-09-16 17:30:35 MSD
Пока по результатам испытаний отклоню. Когда будет новая сборка - можно еще раз флаг проверки поднять.
****************
QA Denied
Comment 7 Denis Silakov 2014-09-17 18:35:38 MSD
Found the issue and rebuilt dracut for 2012.1.

Advisory:

Updated aufs module for dracut for complete support of ROSA Freeze (http://wiki.rosalab.ru/ru/index.php/ROSA_Freeze).

Build lists:
https://abf.io/build_lists/2203391
https://abf.io/build_lists/2203392
Comment 8 Denis Silakov 2014-10-01 23:13:31 MSD
Well, let's test ROSA Freeze in new Desktop R4. No updates will be backported to R3.